#!/bin/bash

for col in no_collision collision
do
  for prot in modified_slr deviating_slr
  do
    par="deviation_${col}_${prot}"
    echo "# rng sent_messages elapsed_time" > ${par}/results.txt

    for rng in `seq 0 1 9`
    do
      echo Running ${par} with seed ${rng}

      dir="${par}/run${rng}"
      mkdir -p $dir
      cp ${par}/scenario.xml ${dir}/scenario.xml
      time bitsimulator -D ${dir} --deden --D1DoNotSimulateFlood --backoffFloodingRNGSeed ${rng} --dedenRNGSeed ${rng} &> /dev/null
      res=`awk -f analyse_results.awk ${dir}/events.log`
      echo ${rng} ${res} >> ${par}/results.txt
      echo results: ${rng} ${res}
    done
  done
done
